Filewatcher File Search File Search
Catalog
Content Search
» » » » » liboop4_1.0-4_i386.deb » Content »
pkg://liboop4_1.0-4_i386.deb:22458/usr/share/doc/liboop4/  info  control  downloads

liboop4 - Event loop management library…  more info»

README.Debian

liboop for Debian
-----------------

I've chosen at this stage not to package the adapter libraries separately,
since the package only weighs in at just over 500k when unpacked. If anyone
would rather that these were all in separate packages, please let me know
and I'll think again about doing this ... At the moment, the package _DOES
NOT DEPEND_ on any of the libraries required to use the adapter libraries,
so if your package uses one of the adapter libraries, you _must_ depend on
the appropriate library (ie. if you link with liboop-tcl, you must also
depend on tcl8.3 ...). The same goes for Build-Depends.

My reasoning for packaging liboop in this way is to avoid having to install
excessive numbers of large-ish packages (tcl for instance) just to install
your program that depends on liboop.  

I haven't compiled in the libwww adapter support - this is primarily because
the current libwww0 package in Debian doesn't include libwwwxml, because when
this library is compiled there is a name clash (libwww also includes
libxmltok and libxmlparse, which are in the libxmltok1 package). It's
difficult to compile liboop support for libwww libraries excluding libwwwxml,
as the configure script simply links liboop-www with all of the libwww
libraries, including libwwwxml. I'm working on a solution to this with the
libwww maintainer. In the meantime, liboop Build-Conflicts: libwww-dev. If
you need this support urgently, feel free to contact me and I'll hurry up
my work on this (no real urgency at the moment, however ...)

 -- Timshel Knoll <timshel@debian.org>  Tue,  5 Mar 2002 15:41:41 +1100
Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com